function onBegin()
  makeUnskippable()
  disableMovement()
  wait()
  player.DummyAutoAnimate = false
  player.Sprite:Play("Earthblade_OpenPortal")
  playSound("event:/game/02_old_site/sequence_badeline_intro")
  setFlag("EarthbladePortalOpen", true)
  wait(1)
  enableMovement()
end
